#
# spec file for package alevt
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           alevt
%{expand:%%global _prefix %(pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_prefix" == "/usr/X11R6"
%define _man_dir man
%else
%define _man_dir share/man
%endif
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
Url:            http://www.goron.de/~froese/
Summary:        Teletext and Videotext Decoder for the BTTV Driver
License:        GPL-2.0+
Group:          Hardware/TV
Version:        1.6.2
Release:        98.3
Source0:        alevt-%version.tar.bz2
Source1:        alevt.desktop
Source2:        alevt.png
Patch2:         alevt-1.6.0-dvb-demux.patch
Patch4:         alevt-overflow2.diff
Patch5:         alevt-happy-abuild.diff
# PATCH-FIX-UPSTREAM pngtoico-libpng15.patch -- pgajdos@suse.com; build with libpng15; sent today to froese@gmx.de
# build against libpng14 should not be affected, otherwise please let me know
Patch6:         alevt-libpng15.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AleVT is a teletext and videotext decoder and browser for the BTTV
driver (/dev/vbi) and the X Window System.  It features multiple
windows, a page cache, regexp searching, a built-in manual, and more.
There is also a program to get the time from teletext.

%prep
%setup -q
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make OPT="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
echo "Using _prefix=%{_prefix} _man_dir=%{_man_dir}"
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin $RPM_BUILD_ROOT%{_prefix}/%{_man_dir}/man1
make rpm-install USR_X11R6=%{_prefix} MAN=%{_man_dir}
%suse_update_desktop_file -i alevt AudioVideo TV

%files
%defattr(-,root,root)
%doc CHANGELOG COPYRIGHT README
%dir %{_prefix}/include/X11/pixmaps
/usr/share/applications/*.desktop
/usr/share/pixmaps/alevt.png
%{_prefix}/bin/alevt
%{_prefix}/bin/alevt-cap
%{_prefix}/bin/alevt-date
%{_prefix}/include/X11/pixmaps/mini-alevt.xpm
%doc %{_prefix}/%{_man_dir}/man1/alevt-cap.1.gz
%doc %{_prefix}/%{_man_dir}/man1/alevt-date.1.gz
%doc %{_prefix}/%{_man_dir}/man1/alevt.1x.gz

%changelog
* Fri Jan  6 2012 pgajdos@suse.com
- build also with libpng15
  * libpng15.patch
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Nov 25 2009 meissner@suse.de
- fixed fuzzy patches
* Wed Jan 30 2008 jw@suse.de
- updated to 1.6.2
  - adapt to current v4l2 api
  - some minor fixes collected during the past years
- upstreamed patches removed.
* Thu Jul  5 2007 coolo@suse.de
- put desktop file and icon into the package
* Tue Sep  5 2006 jw@suse.de
- fixed #203118, making -Wold-style-definition happy.
* Fri Jul 28 2006 jw@suse.de
- made xorg-safe.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul  7 2005 jw@suse.de
- revamped gcc4.diff into happy-abuild.diff
  Avoid imlicit declarations and add RPM_OPT_FLAGS where needed.
* Mon Jul  4 2005 jw@suse.de
- added alevt-gcc4.diff, comparison is always true suppression.
* Tue Apr 19 2005 jw@suse.de
- changes by tsaupe@suse.de documented in usage and man.
* Thu Apr 14 2005 jw@suse.de
- added alevt-overflow.diff by tsaupe@suse.de
* Sun Jan 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS, fixed compile error with gcc4.
* Fri Nov 19 2004 ro@suse.de
- include icon in filelist
* Tue Nov  9 2004 jw@suse.de
- added http://www.baycom.org/~tom/alevt-dvb-demux.patch
  suggested by tsaupe@suse.de
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Oct 13 2003 jw@suse.de
- make shall not sync (#32147)
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Tue May 27 2003 coolo@suse.de
- use BuildRoot
* Mon May 19 2003 wengel@suse.de
- update -> 1.6.1 (fixed bug in ui.c and more)
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jun  5 2002 uli@suse.de
- update -> 1.6.0 (png export, v4l2 interface & more)
* Wed Apr 24 2002 uli@suse.de
- fixed for lib64
* Wed Feb  7 2001 uli@suse.de
- fixed for glibc 2.2.1
* Sat Dec  9 2000 nashif@suse.de
- sorted group
* Fri Jun  2 2000 kukuk@suse.de
- Use doc macro
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 uli@suse.de
- New version 1.4.9
* Wed Jul 14 1999 uli@suse.de
- Spec file created from alevt-1.4.9.tar.gz by autospec
